#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-class-plugin
version:              1.1.1.0
visibility:           public
id:                   hls-class-plugin-1.1.1.0-8trvYmsySyPEfx60XEUVHx
key:                  hls-class-plugin-1.1.1.0-8trvYmsySyPEfx60XEUVHx
license:              Apache-2.0
maintainer:           jjc9310@gmail.com
author:               Junyoung Clare Jang
homepage:             https://github.com/haskell/haskell-language-server#readme
synopsis:
    Class/instance management plugin for Haskell Language Server

description:
    Class/instance management plugin for Haskell Language Server.
    For usage, please see README of HLS on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  9cd231ba0d498d093b8dd597aea59d25
exposed:              True
exposed-modules:      Ide.Plugin.Class
hidden-modules:
    Ide.Plugin.Class.CodeAction Ide.Plugin.Class.CodeLens
    Ide.Plugin.Class.ExactPrint Ide.Plugin.Class.Types
    Ide.Plugin.Class.Utils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hls-class-plugin-1.1.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hls-class-plugin-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-class-plugin
hs-libraries:         HShls-class-plugin-1.1.1.0-8trvYmsySyPEfx60XEUVHx
depends:
    aeson-2.1.2.1-AoiZ9fpfbxJ47564nNIIBq base-4.15.1.0
    containers-0.6.4.1 deepseq-1.4.5.0
    extra-1.7.13-FJzM8Owo9xhE12DNAJGBro ghc-9.0.2 ghc-boot-th-9.0.2
    ghc-exactprint-0.6.4-2Y7fIbS2WXW9o9xKmU0uDC
    ghcide-1.9.0.0-5anMjFM4ZyOCgE2oZnbicj
    hls-graph-1.9.0.0-KCXZmVLHbDx7kkkeFSUvi5
    hls-plugin-api-1.6.0.0-86l50UAgfoN5lgHfQ9pROC
    lens-5.2.2-50AHbSTIHTyJ7cRw3OjWqT lsp-1.6.0.0-AV6oy0ABF4B9hgueAkbpn
    text-1.2.5.0 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-hls-class-plugin/html/hls-class-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-class-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

